{#
Renders a list of resources with icons and view links.

resources - A list of resources to render
pkg - A package object that the resources belong to.

Example:

  {% snippet "package/snippets/resources_list.html", pkg=pkg, resources=pkg.resources %}

#}
{% set mqa_result = h.get_mqa_result(pkg) or [] %}

<section id="dataset-resources" class="resources">
    <h3>{{ _('Distributions') }}</h3>
    {% block resource_list %}
        {% if resources %}
            <ul class="{% block resource_list_class %}resource-list{% endblock %}">
                {% block resource_list_inner %}
                    {% for resource in resources %}
                        {% snippet 'package/snippets/resource_item.html', pkg=pkg, res=resource, mqa_result=mqa_result %}
                    {% endfor %}
                {% endblock %}
            </ul>
        {% else %}
            {% if h.check_access('resource_create', {'package_id': pkg['id']}) %}
                {% trans url=h.url_for(controller='package', action='new_resource', id=pkg.name) %}
                    <p class="empty">This dataset has no data, <a href="{{ url }}">why not add some?</a></p>
                {% endtrans %}
            {% else %}
                <p class="empty">{{ _('This dataset has no data') }}</p>
            {% endif %}
        {% endif %}
    {% endblock %}
</section>
